gen client

Signed-off-by: runzexia <runzexia@yunify.com>
This commit is contained in:
runzexia
2019-08-07 17:11:00 +08:00
parent 0c0b203560
commit 7c8012891c
408 changed files with 17021 additions and 6912 deletions

View File

@@ -7,14 +7,13 @@
set -e
shopt -s nullglob
[[ $# -eq 1 ]] || { echo "Usage: $0 OUTPUT_FILE.go" >&2; exit 1; }
winerror="$(printf '%s\n' "/mnt/c/Program Files (x86)/Windows Kits/"/*/Include/*/shared/winerror.h | sort -Vr | head -n 1)"
[[ -n $winerror ]] || { echo "Unable to find winerror.h" >&2; exit 1; }
declare -A errors
{
echo "// Code generated by 'go generate'; DO NOT EDIT."
echo "// Code generated by 'mkerrors.bash'; DO NOT EDIT."
echo
echo "package windows"
echo "import \"syscall\""
@@ -61,4 +60,4 @@ declare -A errors
done < "$winerror"
echo ")"
} | gofmt > "$1"
} | gofmt > "zerrors_windows.go"